Get the Default LDAP Configuration by ID
get
/api/v1/configuration/ldapConfig/{id}
Returns the only supported LDAP configuration: `DEFAULT-LDAP-ID-001`.
Request
Path Parameters
-
id(required): string
Identifier of the only supported LDAP configuration.Allowed Values:
[ "DEFAULT-LDAP-ID-001" ]
Header Parameters
-
Authorization(required): string
Bearer access token. Supply as: Bearer
.
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : LdapConfigDetail
Type:
objectLDAP Configuration details
Show Source
-
backupHosts:
array backupHosts
Maximum Number of Items:
2List of backup domain controllers for AD -
bpmUserGroup:
string
Users with membership to this group can login and have full access Blockchain Platform Manager (this console) and perform life cycle operations on the Blockchain instances. Required only for AD
-
caAdminGroup:
string
Users part of this group will have the authority to register other users. CA Administrator privilege is also needed to create a new Blockchain instance. Required only for AD
-
connectTimeout:
integer
-
groupClassName:
string
-
groupMembershipAttribute:
string
-
groupNameAttribute:
string
-
idbClientId:
string
IDB client id. Populated only for the default LDAP configuration.
-
idbClientSecret:
string
IDB client secret. Populated only for the default LDAP configuration.
-
instanceAdminGroup:
string
Users with membership to this group can have full access to an instance console and perform all the operations on it via UI or REST APIs. Required only for AD
-
instanceUserGroup:
string
Users with membership to this group can view an instances console via UI or REST. They will not be able to perform any other operations. Required only for AD
-
ldapBaseDN:
string
-
ldapBindDN:
string
-
ldapBindPassword:
string(password)
Returned masked.
-
ldapHost:
string
-
ldapId:
string
-
ldapName:
string
-
ldapPort:
integer
-
ldapTLSCACert:
string
-
ldapTLSEnabled:
boolean
-
ldapType:
string
-
restProxyGroup:
string
Users with membership to this group can interact with the instance using Rest Proxy APIs. Required only for AD
-
tlsRootCACertFileName:
string
Existing LDAP TLS root CA certificate filename, when present.
-
userClassName:
string
-
userNameAttribute:
string
Nested Schema : backupHosts
Type:
arrayMaximum Number of Items:
2List of backup domain controllers for AD
Show Source
401 Response
Unauthorized
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
403 Response
Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
404 Response
Not Found
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
500 Response
Internal Server Error
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings